# Generated by Django 5.0.1 on 2024-01-13 19:20

import django.db.models.deletion
import django_registries.registry
import services.registry
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("membership", "0005_member"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="ServiceAccess",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "modified",
                    models.DateTimeField(auto_now=True, verbose_name="modified"),
                ),
                (
                    "created",
                    models.DateTimeField(auto_now_add=True, verbose_name="created"),
                ),
                (
                    "service",
                    django_registries.registry.ChoicesField(
                        choices=[],
                        registry=services.registry.ServiceRegistry,
                        verbose_name="service",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "service access",
                "verbose_name_plural": "service accesses",
            },
        ),
        migrations.AddConstraint(
            model_name="serviceaccess",
            constraint=models.UniqueConstraint(
                fields=("user", "service"), name="unique_user_service"
            ),
        ),
    ]
