from django import forms

from .registry import ServiceInterface


class MailService(ServiceInterface):
    slug = "mail"
    name = "Mail"
    url = "https://mail.data.coop"
    description = "Mail service for data.coop"


class MatrixService(ServiceInterface):
    slug = "matrix"
    name = "Matrix"
    url = "https://matrix.data.coop"
    description = "Matrix service for data.coop"

    subscribe_fields = [
        ("username", forms.CharField()),
    ]


class MastodonService(ServiceInterface):
    slug = "mastodon"
    name = "Mastodon"
    url = "https://social.data.coop"
    description = "Mastodon service for data.coop"


class NextcloudService(ServiceInterface):
    slug = "nextcloud"
    name = "Nextcloud"
    url = "https://cloud.data.coop"
    description = "Nextcloud service for data.coop"


class HedgeDocService(ServiceInterface):
    slug = "hedgedoc"
    name = "HedgeDoc"
    url = "https://pad.data.coop"
    public = True
    description = "HedgeDoc service for data.coop"


class RalllyService(ServiceInterface):
    slug = "rallly"
    name = "Rallly"
    url = "https://when.data.coop"
    public = True
    description = "Rallly service for data.coop"
